cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Established Member

I have an old MacBook Pro. Is QuickBooks going to work for me?

I have an old MacBook Pro, Version 10.11.6. OSX EL Capitan. will QuickBooks work for me?

2 Comments
Established Community Backer ***

Re: I have an old MacBook Pro. Is QuickBooks going to work for me?

Not the 2019 year version

System requirements:

  • At least Mac OS X v10.12 (Sierra); Supported by Mac OS X v10.14 (Mojave), 10.13 (High Sierra)
  • CD/DVD drive or Internet connection for downloaded installation
  • Intel Processor - Core 2 Duo or higher
  • Multi - user Server - Intel Core 2 Duo or higher processor to run server
  • 2 GB RAM (4 GB RAM recommended)
  • 250 MB of available disk space
  • Product registration required
Established Community Backer ***

Re: I have an old MacBook Pro. Is QuickBooks going to work for me?

If you can update your OS to Sierra you can run the 2019 version.  The upgrade to Sierra is free through the Apple Mac App store.  But each year Apple will cut off some older machines from the OS upgrade so that's really what matters.